> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bliper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Privacidade - Status Online

> Configura quem pode ver quando a instância está online

## Descrição

Configura quem pode ver quando a instância está online no WhatsApp.

## Request

### Headers

```
Client-Token: SEU_CLIENT_TOKEN
Content-Type: application/json
```

### Body

```json theme={null}
{
  "visualizationType": "ALL"
}
```

| Campo               | Tipo   | Obrigatório | Descrição                                         |
| ------------------- | ------ | ----------- | ------------------------------------------------- |
| `visualizationType` | string | Sim         | Quem pode ver o status online (ver tabela abaixo) |

### Tipos de visualização

| Valor             | Descrição                                  |
| ----------------- | ------------------------------------------ |
| `ALL`             | Todos podem ver                            |
| `MATCH_LAST_SEEN` | Mesmo que configuração de visto por último |

## Response

### Sucesso (200)

```json theme={null}
{
  "success": true
}
```

## Exemplo cURL

```bash theme={null}
curl -X POST 'https://api.bliper.io/instances/{INSTANCE_ID}/token/{INSTANCE_TOKEN}/privacy/online' \
  -H 'Client-Token: SEU_CLIENT_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"visualizationType": "ALL"}'
```
